Skip to main content
GET
/
api
/
platform
/
v1
/
webhook_endpoints
List Webhook Endpoints
curl --request GET \
  --url https://api.bspk.com/api/platform/v1/webhook_endpoints \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 17,
    "target_url": "https://taget_url.com/endpoint/to/hit_2",
    "events": [
      "shopper.created",
      "shopper.updated",
      "shopper.deleted"
    ],
    "is_enabled": true,
    "created_at": "2026-03-11T18:34:54.882Z",
    "updated_at": "2026-03-11T18:34:54.882Z"
  },
  {
    "id": 16,
    "target_url": "https://taget_url.com/endpoint/to/hit_1",
    "events": [
      "shopper.created",
      "shopper.updated",
      "shopper.deleted"
    ],
    "is_enabled": true,
    "created_at": "2026-03-11T18:34:54.880Z",
    "updated_at": "2026-03-11T18:34:54.880Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful response, returns array of webhook endpoints

id
integer
required

Unique identifier of the store where the appointment was created (based on associate assignment)

target_url
string
required

Store name of where the appointment was created (based on associate assignment)

events
string[]
required
Example:
[
"shopper.created",
"shopper.updated",
"shopper.deleted"
]
is_enabled
boolean
required

Whether or not the webhoook endpoint is enabled. If true events will be sent to it, otherwise it will not.

created_at
string<date_time>
required

Timestamp of when the webhook endpoint was created

updated_at
string<date_time>
required

Timestamp of when the webhook endpoint was last updated

secret
string

(Only returned while creating the endpoint). The secret that BSPK will send (via X-Bspk-Secret HTTP header) on every request to this endpoint so that your bakend can validate requests.